Page MenuHomePhabricator

action=edit in URL doesn't load OWE when NWE is enabled
Closed, DeclinedPublic

Description

Before the update to 1.30.0-wmf.1 you could (at least in dual tab wikis like de.wikipedia) load OWE by adding ?action=edit to an URL, even with NWE enabled. This is no longer possible:

  1. Enable NWE on de.wikipedia
  2. Go to any article.
  3. Append ?action=edit to the URL and submit.

Expected: You can edit with OWE (or at least, any editor opens).
Actual: A page informing you the editor is loading, though it actually isn't.

I didn't test, but this probably breaks the HotCat gadget for users with NWE enabled: This creates a form with the changes the user made and submits it to action=edit, simulating a click on the "Show changes" button. (See createCommitForm in https://commons.wikimedia.org/w/index.php?title=MediaWiki:Gadget-HotCat.js).

Probably related: T165010: VE tab missing from Special:WhatLinksHere etc.

Event Timeline

Schnark created this task.May 12 2017, 8:20 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 12 2017, 8:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Izno added subscribers: Tgr, Izno.

I think the breakage might be related to the task and work I noted in T165120 rather than the 'probably related' in this one's description.

Tgr added a comment.May 12 2017, 12:20 PM

Note that the source edit tab still links to ?veaction=sourceedit but that parameter does not do anything now.

Note that the source edit tab still links to ?veaction=sourceedit but that parameter does not do anything now.

For me on de.wikipedia the link is ?veaction=editsource (just a type by you?), and that parameter does work as expected.

Tgr added a comment.May 13 2017, 8:03 AM

Typo, yes. The link in T165146 still does not work for me.

Oh, veaction=sourceedit URLs currently only works in namespaces where the visual mode is also available. Your link is in Template NS, and doesn't work, I tested with my user page, which does work.

rEVEDcd8b059e7d37: Synchronise VE availability checks in frontend and backend touched some stuff in this area, and looks complicated enough to be responsible for this bug.

Jdforrester-WMF closed this task as Declined.May 15 2017, 9:07 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

OWE is replaced by the wikitext mode of VE. It wasn't meant to work beforehand, that was just a bug arising from the variance between the PHP and JS implementations.

Elitre added a subscriber: Elitre.May 15 2017, 9:38 AM

This remark is probably not really necessary, but James' comment context is "when NWE is enabled, OWE is replaced...", per the title of this task.

Izno reopened this task as Open.May 15 2017, 9:48 AM

I am still experiencing an error where *no* editor opens.

What happens when you try from different browser/while logged out/with tools and scripts disabled? (I had random issues yesterday due to some gadget).

Tgr added a comment.May 15 2017, 10:22 AM

Would it possible to keep the OWE accessible somehow? NWE has enough rough edges that I need to switch back all the time (especially on wikis with Translate).

Jdforrester-WMF renamed this task from action=edit in URL doesn't work when NWE is enabled to action=edit in URL doesn't load OWE when NWE is enabled.May 15 2017, 10:53 AM
Jdforrester-WMF closed this task as Declined.

There are actually two ways to force OWE: ?action=submit or ?action=edit&venoscript=1, so I don't really mind that ?action=edit doesn't take me to OWE. But then it should take me to NWE, which it currently doesn't, either. For example https://de.wikipedia.org/wiki/Benutzer:Schnark?action=edit just shows a page telling me to wait while the editor is being loaded, but actually doesn't do anything.

I am still experiencing an error where *no* editor opens.

Yes, that's T165238: Source editor fails to load on direct non-view page loads where the wiki doesn't have Single Edit Tab enabled which we're fixing now.

Would it possible to keep the OWE accessible somehow? NWE has enough rough edges that I need to switch back all the time (especially on wikis with Translate).

You can 'cheat' by adding a blacklisted GET param to the edit page request. undo=hello will currently fallback but as an invalid value won't do anything different to the editor.